Authentication & Accounts
This migration guide will help you migrate from v1 accounts to v2 accounts regarding authentication flows and connection managment.
Overall Changes
Custom Authentication has been completely revamped to simplify checkpoint handling and provide a more consistent experience across all providers. You can now handle the full authentication flow using only two endpoints:
- Start Auth Intent
- Solve a Checkpoint
The recommended way to migrate is to follow our complete guide: Authenticate with Custom Auth.
Hosted Authentication is now more customizable and offers the same level of configuration flexibility as Custom Authentication. Because of this, the request body structure for creating links has changed.
Additionally, the success screen at the end of the flow should now be handled by your own application after the redirection.
The recommended way to migrate is to follow our complete guide: Authenticate with Hosted Auth.
Methods changes
List all accounts (GET /v1/accounts)
GET /v1/accounts)- Query param
cursoris removed- Use
offsetandlimitfor pagination
- Use
Connect an account (native authentication) (POST /v1/accounts)
POST /v1/accounts)- Route changed
- Use
POST /v2/auth/intentStart Auth Intent
- Use
- Authentication flow has probably changed based on the provider, read the Authentication with Custom Authentication guide.
Connect an account (hosted authentication) (POST /v1/hosted/accounts/link)
POST /v1/hosted/accounts/link)- Use
POST /v2/auth/linkCreate Auth Link - Body is different on those routes, refer to the Authentication with Hosted Auth guide.
Reconnect an account (POST /v1/accounts/:account_id)
POST /v1/accounts/:account_id)- Route is removed
- Use
POST /v2/auth/intentStart Auth Intent and provide theaccount_idin the body
- Use
- Authentication flow has probably changed based on the provider, read the Authentication with Custom Authentication guide.
Solve a code checkpoint (POST /v1/accounts/checkpoint)
POST /v1/accounts/checkpoint)- Route changed
- Use
POST /v2/auth/checkpointSolve a Checkpoint
- Use
- Body param
account_idis removed- Use the
intent_idgiven by the Start Auth Intent route.
- Use the
- Body param
provideris removed
Resend checkpoint notification (POST /v1/accounts/checkpoint/resend)
POST /v1/accounts/checkpoint/resend)- Route is removed
- Use
POST /v2/auth/checkpointSolve a Checkpoint
- Use
- Authentication flow has probably changed based on the provider, read the Authentication with Custom Authentication guide.
Restart an account (POST /v1/accounts/:account_id/restart)
POST /v1/accounts/:account_id/restart)- Route is removed
- Accounts restart automatically now
Resynchronize account messaging data (GET /v1/accounts/:account_id/sync)
GET /v1/accounts/:account_id/sync)- Route is removed
- Accounts stay in sync now
Update account proxy (POST /v1/accounts/:account_id)
POST /v1/accounts/:account_id)- Use
PATCH /v2/accounts/:account_idUpdate an Account - The behavior might have change, please refer to the Proxies guide.
Account object changes
| v1 field | v2 change |
|---|---|
type | Renamed to provider |
connection_params | Removed, they are now encoded in field that is not public |
source | Removed, irrelevant in v2 |
current_signature | Removed, irrelevant in v2 |
signatures | Removed, irrelevant in v2 |
groups | Removed, irrelevant in v2 |
full_fetch | Removed, irrelevant in v2. Read more about Initial Sync. |
fetch_progress | Removed, irrelevant in v2. Read more about Initial Sync . |
folder_fetch_status | Removed, irrelevant in v2. Read more about Initial Sync . |
last_fetched_at | Removed, irrelevant in v2 |
Updated about 2 months ago